## org.jfree.chart.labels
Interface CategoryToolTipGenerator

All Known Implementing Classes:
  BoxAndWhiskerToolTipGenerator, IntervalCategoryToolTipGenerator, StandardCategoryToolTipGenerator

public interface CategoryToolTipGenerator

A category tool tip generator is an object that can be assigned to a `CategoryItemRenderer` and that assumes responsibility for creating text items to be used as tooltips for the items in a `CategoryPlot`.

To assist with cloning charts, classes that implement this interface should also implement the `PublicCloneable` interface.

Method Summary
`java.lang.String` `generateToolTip(CategoryDataset dataset, int row, int column)` Generates the tool tip text for an item in a dataset.

Method Detail

### generateToolTip

    public java.lang.String generateToolTip(CategoryDataset dataset,
                                            int row,
                                            int column)

  Generates the tool tip text for an item in a dataset. Note: in the current dataset implementation, each row is a series, and each column contains values for a particular category.

  Parameters:
    `dataset` - the dataset (`null` not permitted).
    `row` - the row index (zero-based).
    `column` - the column index (zero-based).
  Returns:
    The tooltip text (possibly `null`).